import React from 'react';
import { ActionBaseProps } from '../actionBase';
interface ActionWithBadgeProps extends ActionBaseProps {
    /**
     * On click callback function.
     */
    onClick?: any;
    /**
     * Specifies if action is submit action.
     */
    isSubmit?: boolean;
}
declare const ActionWithBadge: React.ForwardRefExoticComponent<ActionWithBadgeProps & React.RefAttributes<unknown>>;
export default ActionWithBadge;
