import React from 'react';
export declare type Elevation = 'none' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | number;
export declare const getElevationNumber: (elevation?: number | "none" | "xs" | "sm" | "md" | "lg" | "xl" | undefined) => number;
interface ElevationScrollProps {
    children?: any;
    elevation?: Elevation;
    scrollElevation?: Elevation;
    onScroll?: (scroll: boolean) => void;
}
declare const ElevationScroll: React.ForwardRefExoticComponent<ElevationScrollProps & React.RefAttributes<unknown>>;
export default ElevationScroll;
