import React from 'react';
/**
 * Usage examples:
 *
 * const ButtonWithTooltip = withTooltip(Button);
 *
 * or
 *
 * withTooltip(Button)({...props})
 */
declare const withTooltip: (WrappedComponent: any) => React.ForwardRefExoticComponent<Pick<any, string | number | symbol> & React.RefAttributes<unknown>>;
export default withTooltip;
