import React from 'react';
import { ColorControlProps } from '../controls/colorControl';
import { FieldProps } from '../field';
export interface ColorFieldProps extends Omit<ColorControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const ColorField: React.ForwardRefExoticComponent<ColorFieldProps & React.RefAttributes<unknown>>;
export default ColorField;
