import React from 'react';
import { DateControlProps } from '../controls/dateControl';
import { FieldProps } from '../field';
export interface DateFieldProps extends Omit<DateControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const DateField: React.ForwardRefExoticComponent<DateFieldProps & React.RefAttributes<unknown>>;
export default DateField;
