import React from 'react';
import { TextFieldControlProps } from '../controls/textFieldControl';
import { FieldProps } from '../field';
export interface EmailFieldProps extends Omit<TextFieldControlProps, 'control' | 'rules' | 'error' | 'label' | 'type' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const EmailField: React.ForwardRefExoticComponent<EmailFieldProps & React.RefAttributes<unknown>>;
export default EmailField;
