import React from 'react';
import { LookupControlProps } from '../controls/lookupControl';
import { FieldProps } from '../field';
export interface LookupFieldProps extends Omit<LookupControlProps, 'control' | 'rules' | 'error' | 'label' | 'options' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const LookupField: React.ForwardRefExoticComponent<LookupFieldProps & React.RefAttributes<unknown>>;
export default LookupField;
