import React from 'react';
import { PasswordControlProps } from '../controls/passwordControl';
import { FieldProps } from '../field';
export interface PasswordFieldProps extends Omit<PasswordControlProps, 'control' | 'rules' | 'error' | 'label' | 'type' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const PasswordField: React.ForwardRefExoticComponent<PasswordFieldProps & React.RefAttributes<unknown>>;
export default PasswordField;
