import React from 'react';
export interface useEditPartProps {
    editPart: React.ReactElement;
}
export interface useEditPartOutputProps {
    editPart: React.ReactNode;
    /**
     * Identifies when data are submitted.
     */
    edited: boolean;
    /**
     * Submitted data.
     */
    data?: any;
    /**
     * Action response.
     */
    response?: any;
}
export declare const useEditPart: (props: useEditPartProps) => useEditPartOutputProps;
