import React from 'react';
import { ImageDisplayProps } from '../../../display/imageDisplay';
import { ColumnProps } from './column';
export interface ImageColumnProps extends ImageDisplayProps, Omit<ColumnProps, 'children' | 'renderContent' | 'format'> {
    name: string;
}
declare const ImageColumn: React.ForwardRefExoticComponent<ImageColumnProps & React.RefAttributes<unknown>>;
export default ImageColumn;
