import { Locale } from 'date-fns';
import React from 'react';
export interface DateFnsContextProps {
    locale?: Locale;
    setLocale: (locale: string) => void;
}
export declare const DateFnsContext: React.Context<DateFnsContextProps>;
export declare const useDateFnsContext: () => DateFnsContextProps;
export declare const DateFnsProvider: React.Provider<DateFnsContextProps>;
export declare const DateFnsConsumer: React.Consumer<DateFnsContextProps>;
