/// <reference types="react" />
/**
 * Tabs position at details page.
 */
export declare type TabsPosition = 'left' | 'preheader' | 'header' | 'afterheader';
/**
 * Icon position in the Tab.
 */
export declare type TabIconPosition = 'top' | 'bottom' | 'start' | 'end';
/**
 * Tab indicator variant.
 */
export declare type TabIndicator = 'standard' | 'badge' | 'box' | 'text';
export declare type TabContent = (data: any) => React.ReactNode;
