/**
 * Visibility type" could be boolean or function which returns boolean based on contextual data.
 */
export declare type Visibility = boolean | ((data?: any, context?: any) => boolean);
/**
 * Specifies visibility based on provided visibility object and contextual data.
 */
export declare const isVisible: (visibility?: boolean | ((data?: any, context?: any) => boolean) | undefined, data?: any, context?: any) => boolean;
export declare const hasValue: (value?: any) => boolean;
