import { ButtonProps } from '@mui/material';
import React from 'react';
import { ActionProps } from './action';
export interface ActionButtonProps extends Omit<ActionProps, 'variant' | 'ComponentProps' | 'Component'> {
    /**
     * Underlying Button props.
     */
    ButtonProps?: ButtonProps;
}
declare const ActionButton: React.ForwardRefExoticComponent<ActionButtonProps & React.RefAttributes<unknown>>;
export default ActionButton;
