import { FabProps } from '@mui/material';
import React from 'react';
import { ActionProps } from './action';
export interface ActionFabProps extends Omit<ActionProps, 'variant' | 'ComponentProps' | 'Component'> {
    /**
     * Underlying Fab props.
     */
    FabProps?: FabProps;
}
declare const ActionFab: React.ForwardRefExoticComponent<ActionFabProps & React.RefAttributes<unknown>>;
export default ActionFab;
