import { IconButtonProps } from '@mui/material';
import React from 'react';
import { ActionProps } from './action';
export interface ActionIconButtonProps extends Omit<ActionProps, 'variant' | 'ComponentProps' | 'Component'> {
    /**
     * Underlying IconButton props.
     */
    IconButtonProps?: IconButtonProps;
}
declare const ActionIconButton: React.ForwardRefExoticComponent<ActionIconButtonProps & React.RefAttributes<unknown>>;
export default ActionIconButton;
