import { ControllerProps } from 'react-hook-form';
import { CurrencyAmountInputProps } from '../../input/currencyAmountInput';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
export interface CurrencyAmountControlProps extends BaseProps, Omit<CurrencyAmountInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `material-ui` `TextField` component with `reeact-hok-form` `Controller`.
 */
declare const CurrencyAmountControl: React.ForwardRefExoticComponent<CurrencyAmountControlProps & React.RefAttributes<unknown>>;
export default CurrencyAmountControl;
