import React from 'react';
import { BoolControlProps } from '../controls/boolControl';
import { FieldProps } from '../field';
export interface BoolFieldProps extends Omit<BoolControlProps, 'control' | 'rules' | 'error' | 'label' | 'options' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const BoolField: React.ForwardRefExoticComponent<BoolFieldProps & React.RefAttributes<unknown>>;
export default BoolField;
