import React from 'react';
import { ComboBoxControlProps } from '../controls/comboBoxControl';
import { FieldProps } from '../field';
export interface ComboBoxFieldProps extends Omit<ComboBoxControlProps, 'control' | 'rules' | 'error' | 'label' | 'options' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const ComboBoxField: React.ForwardRefExoticComponent<ComboBoxFieldProps & React.RefAttributes<unknown>>;
export default ComboBoxField;
