import React from 'react';
import { DateTimeControlProps } from '../controls/dateTimeControl';
import { FieldProps } from '../field';
export interface DateTimeFieldProps extends Omit<DateTimeControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const DateTimeField: React.ForwardRefExoticComponent<DateTimeFieldProps & React.RefAttributes<unknown>>;
export default DateTimeField;
