import React from 'react';
import { NumberControlProps } from '../controls/numberControl';
import { FieldProps } from '../field';
export interface NumberFieldProps extends Omit<NumberControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const NumberField: React.ForwardRefExoticComponent<NumberFieldProps & React.RefAttributes<unknown>>;
export default NumberField;
