import React from 'react';
import { TextFieldControlProps } from '../controls/textFieldControl';
import { FieldProps } from '../field';
export interface TextAreaFieldProps extends Omit<TextFieldControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const TextAreaField: React.ForwardRefExoticComponent<TextAreaFieldProps & React.RefAttributes<unknown>>;
export default TextAreaField;
