import React from 'react';
import { TextFieldControlProps } from '../controls/textFieldControl';
import { FieldProps } from '../field';
export interface TextFieldProps extends Omit<TextFieldControlProps, 'control' | 'rules' | 'error' | 'label' | 'name' | 'placeholder'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const TextField: React.ForwardRefExoticComponent<TextFieldProps & React.RefAttributes<unknown>>;
export default TextField;
