import React from 'react';
import { TimeControlProps } from '../controls/timeControl';
import { FieldProps } from '../field';
export interface TimeFieldProps extends Omit<TimeControlProps, 'control' | 'rules' | 'error' | 'label' | 'name'>, Omit<FieldProps, 'variant' | 'ComponentProps' | 'Component'> {
}
declare const TimeField: React.ForwardRefExoticComponent<TimeFieldProps & React.RefAttributes<unknown>>;
export default TimeField;
