import { BoxProps, ButtonProps, ChipProps, StepperProps, TypographyProps } from '@mui/material';
import React from 'react';
import { AlertGroupProps } from '../feedbacks/alertGroup';
import { SubmitPageProps } from './submitPage';
export interface StepPageProps extends SubmitPageProps {
    /**
     * Back button title.
     */
    backTitle: string;
    /**
     * Specifies back Button props.
     */
    BackButtonProps?: ButtonProps;
    /**
     * Next button title.
     */
    nextTitle: string;
    /**
     * Specifies next Button props.
     */
    NextButtonProps?: ButtonProps;
    /**
     * Underlying Stepper props.
     */
    StepperProps?: StepperProps;
    /**
     * Underlying active step Typography props.
     */
    ActiveStepTypographyProps?: TypographyProps;
    /**
     * Underlying AlertGroup props.
     */
    AlertGroupProps?: AlertGroupProps;
    /**
     * Underlying step Box props.
     */
    StepBoxProps?: BoxProps;
    /**
     * Underlying buttons Box props.
     */
    ButtonsBoxProps?: BoxProps;
    /**
     * Underlying step error Box props.
     */
    ErrorBoxProps?: BoxProps;
    /**
     * Underlying error Typography props.
     */
    ErrorTypographyProps?: TypographyProps;
    /**
     * Underlying error Chip props.
     */
    ErrorChipProps?: ChipProps;
}
declare const _default: ({ isLoading, LoaderProps, ...other }: any) => React.JSX.Element;
export default _default;
