import React from 'react';
import { CodeDisplayProps } from '../../../display/codeDisplay';
import { ColumnProps } from './column';
export interface CodeColumnProps extends CodeDisplayProps, Omit<ColumnProps, 'children' | 'renderContent'> {
    name: string;
}
declare const CodeColumn: React.ForwardRefExoticComponent<CodeColumnProps & React.RefAttributes<unknown>>;
export default CodeColumn;
