import React from 'react';
import { ColumnProps } from './column/column';
export interface DatatableDataCellProps extends ColumnProps {
    /**
     * Underlying value.
     */
    value?: any;
    /**
     * Column content.
     */
    children?: React.ReactNode;
}
declare const DatatableDataCell: React.ForwardRefExoticComponent<DatatableDataCellProps & React.RefAttributes<unknown>>;
export default DatatableDataCell;
