import React from 'react';
import { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
interface DetailsPartContentProps extends BaseProps {
    /**
     * Content of the component.
     */
    children?: ReactNode;
    /**
     * Data to be show as a content.
     */
    data?: any;
    /**
     * Custom layout component
     */
    LayoutComponent?: React.ComponentType<any>;
    /**
     * Underlying layout component props.
     */
    LayoutComponentProps?: object;
}
declare const DetailsPartContent: React.ForwardRefExoticComponent<DetailsPartContentProps & React.RefAttributes<unknown>>;
export default DetailsPartContent;
